ProyectoCrm/src/app/Shared/Formularios/fw-burbuja-mensaje/fw-burbuja-mensaje.component.html

<ng-container *ngIf="tMensaje.De !== tUsuario.Codusuario">
  <div class="fila">
    <div class="fila--columna"><img class="fila--columna-imagen" [Gravatar]="tCorreoMensaje" alt=""/></div>
    <div class="col">
      <div class="row">
        <div class="col-12">
          <h6 class="fila--columna-de">{{ tOrigenMensaje }}</h6>
        </div>
      </div>
      <div class="row">
        <div class="col-12">
          <h6 class="fila--columna-texto">{{ tMensaje.Texto }}</h6>
        </div>
      </div>
      <div class="row text-right">
        <div class="col-12">
          <h6 class="text-black-50 font-italic text-xs">{{ tMensaje.Fecha | diferenciaFechas }}</h6>
        </div>
      </div>
    </div>
  </div>
</ng-container>
<ng-container *ngIf="tMensaje.De === tUsuario.Codusuario">
  <div class="fila text-right">
    <div class="col">
      <div class="row">
        <div class="col-12">
          <h6 class="fila--columna-de">{{ tOrigenMensaje }}</h6>
        </div>
      </div>
      <div class="row">
        <div class="col-12">
          <h6 class="fila--columna-texto">{{ tMensaje.Texto }}</h6>
        </div>
      </div>
      <div class="row text-left">
        <div class="col-12">
          <h6 class="text-black-50 font-italic text-xs">{{ tMensaje.Fecha | diferenciaFechas }}</h6>
        </div>
      </div>
    </div>
    <div class="fila--columna"><img class="fila--columna-imagen" [Gravatar]="tCorreoMensaje" alt=""/></div>
  </div>
</ng-container>

ProyectoCrm/src/app/Shared/Formularios/fw-burbuja-mensaje/fw-burbuja-mensaje.component.pug
ng-container(*ngIf="tMensaje.De !== tUsuario.Codusuario")
  div.fila
    div.fila--columna
      img([Gravatar]="tCorreoMensaje", alt="").fila--columna-imagen
    div.col
      div.row
        div.col-12
          h6.fila--columna-de {{ tOrigenMensaje }}
      div.row
        div.col-12
          h6.fila--columna-texto {{ tMensaje.Texto }}
      div.row.text-right
        div.col-12
          h6.text-black-50.font-italic.text-xs {{ tMensaje.Fecha | diferenciaFechas }}
ng-container(*ngIf="tMensaje.De === tUsuario.Codusuario")
  div.fila.text-right
    div.col
      div.row
        div.col-12
          h6.fila--columna-de {{ tOrigenMensaje }}
      div.row
        div.col-12
          h6.fila--columna-texto {{ tMensaje.Texto }}
      div.row.text-left
        div.col-12
          h6.text-black-50.font-italic.text-xs {{ tMensaje.Fecha | diferenciaFechas }}
    div.fila--columna
      img([Gravatar]="tCorreoMensaje", alt="").fila--columna-imagen
